## librework-client 2.7-1

=== windeploy/Makefile ===
all:
	convert ../librework.png \( -clone 0 -resize 16x16 \) \( -clone 0 -resize 32x32 \) \( -clone 0 -resize 48x48 \) \( -clone 0 -resize 64x64 \) librework.ico
	cp ../librework.png librework.png
	wine innosetup/ISCC.exe /q setupScript.iss
	mv Output/librework-client-setup.exe .
	rm -rf Output

clean:
	rm -f librework-client-setup.exe
	rm -f librework.png
	rm -f librework.ico

=== debian/changelog ===
librework-client (2.7-1) unstable; urgency=low

  * Debian 13 Trixie version

 -- Pedro M. de Echanove Pasquín <pechanove@tuxum.com>  Thu, 13 May 2025 17:57:27 +0200

librework-client (2.6-3) unstable; urgency=low

  * Added tuxum-config dependency
  * Removed multimon.sh script as it now is in tuxum-config package

 -- Pedro M. de Echanove Pasquín <pechanove@tuxum.com>  Thu, 28 Dec 2020 21:14:39 +0200

librework-client (2.6-2) unstable; urgency=low

  * Added UserWhiteList, UserBlackList and ExludedApps options

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 17 Dec 2020 19:11:33 +0200

librework-client (2.6-1) unstable; urgency=low

  * Added ExtraArgs option to append xfreerdp extra arguments

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Sat, 16 Nov 2019 14:08:53 +0200

librework-client (2.5-8) unstable; urgency=low

  * Added -floatbar option to avoid float bar on full screen

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Wed, 25 Sep 2019 12:09:10 +0200

librework-client (2.5-7) unstable; urgency=low

  * Allow to pass server without configuration to launchProcess

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Sun, 26 May 2019 13:21:36 +0200

librework-client (2.5-6) unstable; urgency=low

  * Added maximized window size

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Fri, 11 Jan 2019 21:28:31 +0200

librework-client (2.5-5) unstable; urgency=low

  * Added dependency on librework-client to librework-client-dev

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Sat, 5 Jan 2019 17:41:28 +0200

librework-client (2.5-4) unstable; urgency=low

  * Set top bar hide when multimonitor

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Wed, 26 Dec 2018 09:17:16 +0200

librework-client (2.5-3) unstable; urgency=low

  * Version update

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 13 Nov 2018 11:37:38 +0200

librework-client (2.5-2) unstable; urgency=low

  * Added minimize window option for toolbar

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Mon, 5 Nov 2018 12:22:57 +0200

librework-client (2.5-1) unstable; urgency=low

  * Modified top bar to avoid unintentional closing

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 16 Oct 2018 15:07:46 +0200

librework-client (2.4-6) unstable; urgency=low

  * Add support for port knocker

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Fri, 5 Oct 2018 11:56:21 +0200

librework-client (2.4-5) unstable; urgency=low

  * Full width ToolBar

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 18 Sep 2018 10:51:11 +0200

librework-client (2.4-4) unstable; urgency=low

  * Fixed librework-removablemanager launch at boot

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 3 Apr 2018 12:57:34 +0200

librework-client (2.4-3) unstable; urgency=low

  * Added librework-removablemanager to ini file

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Mon, 2 Apr 2018 17:49:56 +0200

librework-client (2.4-2) unstable; urgency=low

  * Added rdp authentication check

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 20 Mar 2018 18:57:31 +0200

librework-client (2.4-1) unstable; urgency=low

  * Added stdin user and password

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 15 Mar 2018 20:58:29 +0200

librework-client (2.3-3) unstable; urgency=low

  * Changed name of AppButton class to ClientAppButton in order to avoid conflict with Librework desktop

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 16 Jan 2018 20:01:06 +0200

librework-client (2.3-2) unstable; urgency=low

  * Added multi monitor support

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Wed, 10 Jan 2018 17:08:27 +0200

librework-client (2.3-1) unstable; urgency=low

  * Separate binary in executable and librework client lib

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 26 Dec 2017 11:43:38 +0200

librework-client (2.2-3) unstable; urgency=low

  * Fixed full screen parameter on linux

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 20 Apr 2017 11:21:59 +0200

librework-client (2.2-2) unstable; urgency=low

  * Added freerdp2-x11 dependency

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Tue, 18 Apr 2017 11:16:51 +0200

librework-client (2.2-1) unstable; urgency=low

  * Added --nodesktop mode for pxe boot without desktop
  * Update spanish translation

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Sun, 27 Nov 2016 11:21:40 +0200

librework-client (2.1-2) unstable; urgency=low

  * Fix empty argument send to Tuxum Ras
  * Removed Librework Free and Commercial servers from default config

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Sun, 30 Oct 2016 10:38:08 +0200

librework-client (2.1-1) unstable; urgency=low

  * New version to equiparate with windows version

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 28 Jul 2016 17:56:06 +0200

librework-client (1.4-1) unstable; urgency=low

  * Full implemented mstsc.exe
  * Added missing bpp configuration options
  * Add drive redirect

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Mon, 25 Jul 2016 18:51:59 +0200

librework-client (1.3-8) unstable; urgency=low

  * Added /multimedia and /compression option when sound redirected

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 14 Jul 2016 10:59:47 +0200

librework-client (1.3-7) unstable; urgency=low

  * Removed /microphone option (breaks local folders)
  * Removed old Librework protocol

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Wed, 1 Jun 2016 13:39:34 +0200

librework-client (1.3-6) unstable; urgency=low

  * Fix to work in Raspberry Pi

 -- Pedro M. de Echanove Pasquin <pechanove@tuxum.com>  Thu, 4 Feb 2016 14:34:51 +0200

librework-client (1.3-5) unstable; urgency=low

  * Added smart card redirection
  * Added folder to drive redirection



=== debian/control ===
Source: librework-client
Section: net
Priority: extra
Maintainer: pechanove <pedro.echanove@tuxum.com>
Build-Depends: debhelper (>= 7.0.0), qtbase5-dev | qt6-base-dev
Standards-Version: 3.9.3
Homepage: http://www.librework.com

Package: librework-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wmctrl, pcscd, freerdp3-x11 | freerdp2-x11 | freerdp-x11 | rdesktop, curl
Description: Librework client
 Librework cloud desktop client

Package: librework-client-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, librework-client
Description: Librework client development files
 Librework cloud desktop client development (header) files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	qmake6 && make -j
	cd executable && qmake6 && make && cd ..

override_dh_auto_install:
	# librework-client
	mkdir -p debian/librework-client/usr/share/applications/
	mkdir -p debian/librework-client/usr/share/apps/librework-client/
	mkdir -p debian/librework-client/usr/bin
	mkdir -p debian/librework-client/usr/lib
	install -m 0644 debian/librework-client.desktop debian/librework-client/usr/share/applications/
	install -m 0755 executable/Librework-Client debian/librework-client/usr/bin/
	install -m 0755 raisewindow.sh debian/librework-client/usr/share/apps/librework-client/
	INSTALL_ROOT=debian/librework-client make install

	# librework-client-dev
	mkdir -p debian/librework-client-dev/usr/include/librework-client
	install -m 0644 *.h debian/librework-client-dev/usr/include/librework-client

override_dh_clean:
	rm -f debian/*.log
	rm -f debian/*.debhelper
	rm -f debian/*.substvar
	cd executable && make distclean || true
	make distclean || true

%:
	dh $@
